
/**
 * Rolling Dice + GUI + Pictures
 * 
 * @author Dave Mulkey
 * @version July 2016
 */

import java.awt.*;
import javax.swing.*;

public class EasyDice extends GUI
{

    Button roll1 = addButton("Roll 1",20,20,120,40,this);
    TextField result1 = addTextField("",150,20,300,40,this);
    Button roll2 = addButton("Roll 2",20,70,120,40,this);
    TextField result2 = addTextField("",150,70,300,40,this);
    JLabel pic1 = addJLabel("monkeys.png",50,150,600,300,this);
    
    int first,second;
    
    public EasyDice()
    {
        super(600,500);

    }

    public void actions(Object source,String command)
    {
        if(source==roll1)
        {
            first = (int)(Math.random()*6+1);
            result1.setText(first+"");
            loadImage(pic1,first + ".jpg"); 
            pic1.setText("");
        }

        if(source==roll2)
        {
            first = (int)(Math.random()*6+1);
            second = (int)(Math.random()*6+1);   
            result2.setText(first + " " + second);
            if(first == second)
            { 
                loadImage(pic1,"clown.png");
                pic1.setText("PAIR!!");
            }
            else
            {
                loadImage(pic1,"monkeys.png");
                pic1.setText("no pair");
            }
        }      

        if(source==pic1)
        {
            output("hu hu");
        }

    } 

    public static void main(String[] args)
    {  new EasyDice(); }
}

/******************************************
1 - Download the program.  Run it several times.
Check that the [One Die] button correctly displays
a picture of a die for each roll.
Then check that the [2 Dice] button correctly
decides whether there is a PAIR or not.

2 - Add a new Button for 3 dice.  It should roll 3 dice,
and display the result in a TextField.
It should decide whether there is a PAIR or not
and then display the appopriate picture.
The IF command needs to compare FIRST to SECOND,
compare SECOND to THIRD, and compare FIRST to THIRD.
It should correctly display a PICTURE corresponding
to a PAIR or NO PAIR.

3 - Add a new Button and TextField for 4 dice. 
It can display an appropriate picture for 4 different results: 
-  a PAIR (like 6-5-4-5)
-  3 of a kind (3 the same, like 3-4-3-3)
-  NO matches (like  2-6-3-4)
-  Total above 15 (like  3-4-3-6)
Use 4 different pictures for the 4 different results.

4 - Now make the [2 dice] Button display pictures for
the two dice - e.g. a DICE picture for each number.

5 - If you have time, add some other functions - your choice.
 *******************************************/
