/*** Rolling Dice ********************************
Betty used her dice-rolling program to investigate how often
matches occur when rolling 3 dice.  But it wasn't clear whether
matches or non-matches appear more often.  She wrote a program
to roll the dice 1000 times and automatically count the matches.
**************************************************/
public class RollDice2
{
  public RollDice2()
  {
    int matches = 0;    
    for(int count=1; count <= 1000; count++)    
    {
      int a = (int)(Math.random()*6+1);
      int b = (int)(Math.random()*6+1);
      int c = (int)(Math.random()*6+1);
      if(a==b || b==c || a==c)
      { System.out.println(a + " " + b + " " + c + " = MATCH"); 
        matches = matches + 1;
      }
      else
      { System.out.println(a + " " + b + " " + c + " = no match"); }
    }
    
    double fraction = matches / 1000.0;
    System.out.println("Fraction of matches = " + fraction);
  }
  
  public static void main(String[] args)
  {  new RollDice2();  }
}