import java.awt.*;

public class SkiHotel extends GUI
{   
   Button bInputStudent = addButton("Input Student",50,50,150,50,this);
   Button bShowRooms = addButton("Show Rooms",200,50,150,50,this);
   
   String[][] hotel = new String[10][4];
         // 10 rooms, each with 8 beds
      
   public SkiHotel()
   {
      super(600,400);
      initialize();
   }
   
   public void actions(Object source, String command)
   {
      if (source == bInputStudent)
      {  inputStudent(); }
      else if (source == bShowRooms)
      {  showRooms(); }         
   }
   
   public void initialize()
   {
      for(int r = 0; r < 10; r = r+1)
      {  
         for (int b = 0; b < 4; b = b+1)
         {
            hotel[r][b] = "---";     // empty bed
         }
      }
   }
   
   public void inputStudent()
   {
      String name = input("Name?");
      int room = inputInt("Room (1-10)?");
      room = room - 1;
      if (hotel[room][0].equals("---") )
      {  hotel[room][0] = name; }
      
   }
   
   public void showRooms()
   {
      String all = "";
      for (int r = 0; r < 10; r = r+1)
      {  String beds = "room " + (r+1);
         for (int b = 0; b < 4; b = b+1)
         {  
            beds = beds + "   " + hotel[r][b];
         }
         all = all + beds + "\n";
      }
      output(all);
   }
   
   public static void main(String[] args)
   {  new SkiHotel(); }

}   
