/**************************************************
Kim works in the school bookstore, selling pens, notebooks, etc.
They have prices written in a notebook.  When prices change 
they must cross out old prices - that's messy.  They want
a computer program that stores and displays prices.
Item names and prices are stored in PARALLEL ARRAYS.
***************************************************/
public class Bookstore
{
  String[] items = {"pencil","pen","sharpie","notebook A",
    "notebook B","eraser","tippex","usb stick","glue","tape"
  };
  
  double[] prices = { 0.75 , 1.50 , 1.20 , 1.90 , 2.50 ,
    0.50 , 1.75 , 5.00 , 1.25 , 2.00  
  };          
  
  public Bookstore()
  {
    String name = "";
    do
    {
      name = input("Type the name of an item");
      double price = getPrice(name);
      if(price > 0)
      { output(name + " = " + price); }
      else
      { output(name + " was not found"); }
    } while(name.length() > 0);             // type nothing to quit
  }
  
  double getPrice(String name)           // search for name, return price
  {                                     // the price is not case-sensitive
    for(int x=0; x < prices.length; x = x+1)
    {
      if(items[x].equalsIgnoreCase(name))    // not cases-sensitive
      {
        return prices[x];
      }  
    }
    return 0.00;
  } 
  
  public static void main(String[] args)
  {  new Bookstore();  }
  
  public String input(String prompt)
  { return javax.swing.JOptionPane.showInputDialog(null,prompt); }
  
  public void output(String message)
  {  javax.swing.JOptionPane.showMessageDialog(null,message);  }
}