/**************************************************
Joe owns lots of CDs. When he goes shopping, he frequently
buys a new CD.  He owns so many that he sometimes buys 
a second copy of a CD that he already owns.  He wants to
have a program that keeps track of all his CDs, and then
he can easily check whether he already owns a title.
***************************************************/
public class CDlist
{
  String[] titles = {"Cafe del Mar 18",
    "Valtari",
    "Nature One",
    "Swagg",
    "Netsky 2",
    "DJ Kicks",
    "Trouble"
  };
  
  public CDlist()
  {
    String name = "";
    do
    {
      name = input("Type the name of the CD");
      search(name);
    } while(name.length() > 0);   // type nothing to quit
  }
  
  void search(String name)
  {
    for(int c = 0; c < titles.length; c=c+1)
    {
      if( titles[c].equals(name) )
      {
        output("Found " + name);
        return;                   // quits if name is found
      }  
    }
    output("Not found - you don't own that"); 
  }
  
  public static void main(String[] args)
  {  new CDlist(); }
  
  public String input(String prompt)
  { return javax.swing.JOptionPane.showInputDialog(null,prompt); }
  
  public void output(String message)
  {  javax.swing.JOptionPane.showMessageDialog(null,message);  }
}