/***  Calculations in Processing Java ******************
This sample program performs a variety of calculations,
demonstrating standard arithmetic operations in Java.
********************************************************/

public class Calculations {
    public Calculations()
    {   System.out.println(1 * 2 * 3 * 4 * 5 * 6 * 7 * 8 * 9);              // multiplication
        System.out.println(3 * 3 + 4 * 4 - 5 * 5);                          // order of operations like math
        System.out.println(100 - (1 + 2 + 3 + 4 + 5 + 6 + 7 + 8 + 9 + 10)); // use parentheses when needed
        System.out.println(60 * 60 * 24 + " seconds in a day");             // this + doesn't add
        System.out.println(365 / 7 + " weeks in a year");                   // division with integers ..
        System.out.println(1 / 2 + 1 / 3 + 1 / 6);                          //  .. doesn't produce decimals
        System.out.println(1.0 / 2.0 + 1.0 / 3.0 + 1.0 / 6.0);              // use decimals to get decimals
        System.out.println("5 = " + Math.pow(5, 3));                       // Math.pow for power   
    }

    public static void main(String[] args)
    {  new Calculations();   }
}

/********************************************
Practice

1 - Calculate the number of hours in one year.
 
2 - Calculate 1/2 + 1/3 + 1/4 + ... + 1/9.
 
3 - By guessing and calculating, find a solution to this problem:
        X * X * X * X = 100
    You only need to get an approximate answer with 2 decimal places correct.
 
4 - A computer works at a speed of 2 GigaHertz - that means that it can do
    2 BILLION (2 000 000 000) calculations per second. 
    Calculate the number of calculations it can do in 1 minute.
  
5 - Write a command that CORRECTLY calculates a value for 20 !

********************************************************/