import java.awt.*;
import javax.swing.*;

public class Questions extends GUI
{
    Button next = addButton("Next",20,20,100,50,this); 
    Label question  = addLabel("",150,20,450,50,this);
    Button answer = addButton("Answer",150,80,400,50,this);
    Label score = addLabel("0",20,80,100,50,this);
    JLabel pic = addJLabel("",50,120,500,500,this);
    String folder = "";
    
    Font big = new Font("Arial",0,24);

    int count = -1; 

    int points = 0;

    String[] questions = 
        {  
            "Ronald MacDonald is a _______",
            "The capital of Germany is _____",
            "True/False: Cats like chocolate"
        };

    String[] answers =
        {
            "clown",
            "Berlin",
            "false"   
        };

    String[] pictures = 
        {
            "clown.gif",
            "Germany.png",
            "cats.jpg"
        };

    public Questions()
    {
        super(800,600);
        setBounds(50,50,600,600);       // change size of standard window
        next.setFont(big);     // change font on the Button b1
        question.setFont(big);
        answer.setFont(big);
        score.setFont(big);
    }

    public void actions(Object source,String command)
    {
        if(source==next)                   // shows a web image on the form window
        {
            count = count + 1;
            loadImage(pic,folder+pictures[count]); 
            question.setText(questions[count]);      
        }  

        if(source==answer)
        {
            String guess = input("answer?");
            answer.setLabel(guess);
            if(guess.equalsIgnoreCase(answers[count]))
            {
                answer.setBackground(new Color(150,255,150)); 
                points = points + 100;
            }
            else
            {
                answer.setBackground(new Color(255,150,150)); 
                points = points - 40;
            }     
            score.setText(points + ""); 
        } 
    }
    
    public static void main(String[] args)
    {  new Questions(); }
}
/****************************************************
This program demonstrates the use of PARALLEL Array 
to store QUESTIONS and ANSWERS and PICTURES .

(1) Run the program and check that it works.

(2) Add 2 more questions, each with a corresponding
answer and picture.  You need to store your pictures
in the SKETCH FOLDER where the program is saved.
You may need to resize your picture to make it 
fit properly in the window.   

(3) There are several ERRORS in the program.
That does not means it is broken, but rather
it does not behave as the user would expect. 

(a) Find out the cause of the RUN-TIME ERROR   
that causes red error messages to print  
after the last question is finished.
Use an if.. command to check that the
COUNT index variable does not become too large.

(b) The points don't work sensibly, because the
user can score 100 points over and over again
by answer the same question many times.
Suggest how this could be fixed.

(c) If the user clicks [Answer] before clicking [Next],
a run-time exception (red text) occurs.
Use if.. command(s) to prevent this error.

(d) Change the program to MULTIPLE-CHOICE.
Add another array that will contain POSSIBLE answers,
like :  (a) Potsdam  (b) Berlin  (c) Bonn  (d) Frandfurt.
When next is clicked, the POSSIBLE answers need
to appear in the ANSWER Button (or somewhere else).
Then the ANSWERS should be changed to be a single letter
in each case - for example B.

(e) Suggest a better way for storing the qquestions
and answers, so that it would be possible for 
a non-programmer (e.g. a teacher) to add questions easily.

 *****************************************************/